Bug 1286518 - [Docs] [Cinder] Provide an overview of the new internal Cinder tenant
[Docs] [Cinder] Provide an overview of the new internal Cinder tenant
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
medium Severity medium
: ga
: 8.0 (Liberty)
Assigned To: Deepti Navale
Radek Bíba
http://specs.openstack.org/openstack/...
: Documentation
Depends On: 1256512
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 01:21 EST by Andrew Dahms
Modified: 2016-07-11 21:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-11 21:45:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Dahms 2015-11-30 01:21:37 EST
With Red Hat Enterprise Linux OpenStack Platform 8, it is possible to have a tenant that Cinder uses as the owner of internal-only volumes and snapshots, etc. that do not need to be exposed to users.

An outline of how to create and configure this tenant is required, and will involve the following two new configuration options -

    cinder_internal_tenant_username
    cinder_internal_tenant_password
Comment 1 Andrew Dahms 2015-11-30 01:24:26 EST
Assigning to Deepti for review.

Deepti - at current, it seems a little unclear whether this is automatically created by the director, or if users need to create this tenant manually. We will need to confirm with one of the devs to be sure, but otherwise the procedure should be quite straightforward.
Comment 6 Mike McCune 2016-03-28 18:30:10 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 8 Deepti Navale 2016-05-16 02:19:13 EDT
Sergey has approved the changes via IRC.
Comment 11 Andrew Dahms 2016-07-11 21:45:06 EDT
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.